[perl-Module-Starter] 1.62 bump

Petr Pisar ppisar at fedoraproject.org
Tue Dec 10 11:51:58 UTC 2013


commit 6c5d555aa7d4e0c29d0805b7a4ef54308cbac521
Author: Petr Písař <ppisar at redhat.com>
Date:   Tue Dec 10 12:50:39 2013 +0100

    1.62 bump

 .gitignore               |    1 +
 perl-Module-Starter.spec |   32 +++++++++++++++++++++-----------
 sources                  |    2 +-
 3 files changed, 23 insertions(+), 12 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index 390825b..4aeb016 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,4 @@
 Module-Starter-1.54.tar.gz
 /Module-Starter-1.58.tar.gz
 /Module-Starter-1.60.tar.gz
+/Module-Starter-1.62.tar.gz
diff --git a/perl-Module-Starter.spec b/perl-Module-Starter.spec
index 43c84f6..d337876 100644
--- a/perl-Module-Starter.spec
+++ b/perl-Module-Starter.spec
@@ -1,7 +1,7 @@
 Name:           perl-Module-Starter
 Epoch:          1
-Version:        1.60
-Release:        5%{?dist}
+Version:        1.62
+Release:        1%{?dist}
 Summary:        A simple starter kit for any module
 Group:          Development/Libraries
 License:        GPL+ or Artistic
@@ -9,25 +9,32 @@ URL:            http://search.cpan.org/dist/Module-Starter
 Source0:        http://search.cpan.org/CPAN/authors/id/X/XS/XSAWYERX/Module-Starter-%{version}.tar.gz
 BuildArch:      noarch
 BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(strict)
+BuildRequires:  perl(warnings)
 # Run-time:
 BuildRequires:  perl(Carp)
 BuildRequires:  perl(Cwd)
 BuildRequires:  perl(ExtUtils::Command)
+BuildRequires:  perl(ExtUtils::Manifest)
 BuildRequires:  perl(File::Spec)
 BuildRequires:  perl(Getopt::Long)
-BuildRequires:  perl(parent)
 BuildRequires:  perl(Path::Class)
 BuildRequires:  perl(Pod::Usage)
 # Tests:
+# base not used
+BuildRequires:  perl(File::Basename)
+BuildRequires:  perl(File::Find)
+BuildRequires:  perl(File::Path)
+# File::Temp not used
+BuildRequires:  perl(parent)
 BuildRequires:  perl(Test::More)
-Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
-Requires:  perl(Cwd)
-Requires:  perl(ExtUtils::Command)
-Requires:  perl(File::Spec)
-Requires:  perl(parent)
+# version not used
+Requires:  perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
+Requires:  perl(ExtUtils::Manifest)
 
 %{?perl_default_filter}
-%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}%{perl_vendorlib}/Module/Starter/Simple\\.pm
+# Filter in-lined Perl code from lib/Module/Starter/Simple.pm
+%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((ExtUtils::MakeMaker|inc::Module::Install|Module::Build|Test::More)\\)
 
 %description
 This is a CPAN module/utility to assist in the creation of new modules in a
@@ -38,14 +45,14 @@ functionality of this module, you should examine the documentation for
 It is noted that there are a number of extensions to this tool, including
 plugins to create modules using templates as recommended by Damian Conway's
 "Perl Best Practices" (O'Reilly, 2005).  (See also the package
-perl-Module-Starter-PBP for the aformentioned templates.)
+perl-Module-Starter-PBP for the aforementioned templates.)
 
 
 %prep
 %setup -q -n Module-Starter-%{version}
 
 %build
-%{__perl} Makefile.PL INSTALLDIRS=vendor
+perl Makefile.PL INSTALLDIRS=vendor
 make %{?_smp_mflags}
 
 %install
@@ -64,6 +71,9 @@ make test
 
 
 %changelog
+* Tue Dec 10 2013 Petr Pisar <ppisar at redhat.com> - 1:1.62-1
+- 1.62 bump
+
 * Sat Aug 03 2013 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 1:1.60-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
 
diff --git a/sources b/sources
index fa68601..070121a 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-0cac381502eac84737d2e36e5b756ee1  Module-Starter-1.60.tar.gz
+8c8d867a36f22d0cffb9e0f9e5f635f2  Module-Starter-1.62.tar.gz


More information about the scm-commits mailing list